Become a MacRumors Supporter for $25/year with no ads, private forums, and more!

Why Am I able to restore to 4.2.1 BUT NOT 5.0.1??

PhazeII

macrumors member
Original poster
Dec 27, 2011
86
0
Southern California
Currently on 5.0.1

I been having issues with my phone so I decided to do a restore (5.0.1). I HAVE MY SHSH BLOBS SAVED and have a custom IPSW . I put it into DFU Mode then restore through Itunes Holding shift and selecting my Signed IPSW. It starts but then it just gets stuck on Preparing iphone for Restore until i get error 1604. I tried many times and even used Ireb but no luck.

With no other options I decided to use my SHSH blobs for 4.2.1 and it worked just fine and now Im restored to 4.2.1 but I really like to go back to 5.0.1.


Can anybody help???
 

PhazeII

macrumors member
Original poster
Dec 27, 2011
86
0
Southern California
Restore using pwned DFU mode.


Still stuck on "Preparing Iphone for Restore" after trying Pwned DFU mode.


The only difference i saw when I restored to 4.2.1 was that the iphone screen went all white while "Preparing for Iphone restore" then it just did it thing and restored.


:confused: :(
 
Comment

PhazeII

macrumors member
Original poster
Dec 27, 2011
86
0
Southern California
I was looking over the "Available Blobs" while browsing RedSn0w and Ifaith. It is only showing my 4.2.1 blobs. Am I suppose to upload my 5.0.1 this to cydia somehow?

Also I tried to create another IPSW with the SHSH blobs i saved with Ifaith but Redsn0w says "Could not verify blobs".
 
Comment

TriJetHero

macrumors 601
Oct 13, 2010
4,955
142
World
If you have your blobs saved for 5.01 either in cydia, TU or ifaith/sn0wbreeze you can make a custom 5.01 ipsw

Apple is not signing 5.01 anymore so even if you have blobs you cannot go to stock 5.01, this changed with 5.0 and is WELL KNOW.

With redsn0w you can stich your shsh and APTticket to a downloaded 5.01 ipsw and create a custom IPSW, restore that in iTunes.

Also make sure your host is set to apple instead of cydia

4.2.1 is still the old way and with blobs you can restore that anytime.
 
Comment

adnbek

macrumors 68000
Oct 22, 2011
1,545
513
Montreal, Quebec
Currently on 5.0.1

I been having issues with my phone so I decided to do a restore (5.0.1). I HAVE MY SHSH BLOBS SAVED and have a custom IPSW . I put it into DFU Mode then restore through Itunes Holding shift and selecting my Signed IPSW. It starts but then it just gets stuck on Preparing iphone for Restore until i get error 1604. I tried many times and even used Ireb but no luck.

With no other options I decided to use my SHSH blobs for 4.2.1 and it worked just fine and now Im restored to 4.2.1 but I really like to go back to 5.0.1.


Can anybody help???

Apple still signs 4.2.1 because it's the max OS supported on the 3G.
 
Comment

TriJetHero

macrumors 601
Oct 13, 2010
4,955
142
World
Apple still signs 4.2.1 because it's the max OS supported on the 3G.

that has nothing to do with restoring using blobs, i can restore anything from 4.01 till 4.3.5 because i have blobs, thats also what the OP stated, he has blobs for 4.2.1
 
Comment

dhlizard

macrumors G4
Mar 16, 2009
10,214
119
The Jailbreak Community
Some of these responses are incorrect.

Apple only signs 4.2.1 for 3G or 4.1 for 3GS (or 5.1 for all compatible devices)

OP cannot have a 3G since he is on 5.0.1 (Not possible with 3G except using WhiteDoor mods)

iOS4 restores only require just a hash file, DFU mode and your host file pointing at Cydia.

With iOS5, Apple changed things up. Restores to any 5.x.x firmware now require the hash file and APTicket, which must be stitched to an IPSW, then that IPSW can be used for a restore.

In iOS5, you cannot just restore with your host file pointed at Cydia as in 4.x.x firmware
 
Comment

PhazeII

macrumors member
Original poster
Dec 27, 2011
86
0
Southern California
Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU iPhone OS 4_2_1 like Mac OS X; en-us) AppleWebKit/533.17.9 (KHTML, like Gecko) Version/5.0.2 Mobile/8C148 Safari/6533.18.5)

So in other words I am SOL ; can't go back to 5.0.1 right ? I need to wait for an unthered for 5.1.0 right?
 
Comment

MastahRiz

macrumors 6502
Aug 7, 2010
483
0
Does this mean it is also too late to create a custom IPSW of iOS 5.0.1? If my iPhone is on 5.0.1 right now and I have my shsh saved, can I still create a custom firmware or no?

Thanks.
 
Comment

iFiend

macrumors 65816
Feb 28, 2011
1,018
0
Does this mean it is also too late to create a custom IPSW of iOS 5.0.1? If my iPhone is on 5.0.1 right now and I have my shsh saved, can I still create a custom firmware or no?

Thanks.

Assuming you're on a Windows machine, you can use iFaith to create a presigned IPSW of 5.0.1 with your dumped blobs and APTicket on your phone now. Google for instructions (it's really easy)

All of this is if you're on an iPhone 4, btw :)
 
Comment

MastahRiz

macrumors 6502
Aug 7, 2010
483
0
^Awesome, thanks for the great tip. You said this is for the iPhone 4, any chance for the 4S?

Thanks again, much appreciated.
 
Last edited:
Comment

TriJetHero

macrumors 601
Oct 13, 2010
4,955
142
World
Not for the 4S

the 2 ways to make a custom stitched IPSW are iFaith (win) and redsn0w (mac+win)

both methods require the limera1n exploit for the A4 chip, so not available on the A5 4S.
 
Comment

iFiend

macrumors 65816
Feb 28, 2011
1,018
0
Not for the 4S

the 2 ways to make a custom stitched IPSW are iFaith (win) and redsn0w (mac+win)

both methods require the limera1n exploit for the A4 chip, so not available on the A5 4S.

This man speaks the truth...
 
Comment

heyyitzmelissa

macrumors 6502
Jan 17, 2012
352
1
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
 
Comment

PhazeII

macrumors member
Original poster
Dec 27, 2011
86
0
Southern California
Solved!

Alright so i created another IPSW with the same SHSH blobs that I had previously saved and i was able to update to IOS 5.0.1.

I'm not sure what was wrong with that first *Signed* IPSW but I'm back on 5.0.1


iphone 4
From 4.2.1 to 5.0.1
bb 3.10.01
Created and Saved SHSH blobs with Ifaith 1.4.1

Thanks for all the tips and suggestions even to those who didn't carefully read my post.
 
Comment

TriJetHero

macrumors 601
Oct 13, 2010
4,955
142
World
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.
SHSH hashes are useless as of iOS 5.0 and up.

get your facts straight!

Downgrading non A5 devices with SHSH and APTicket via faith or redsn0w
 
Comment
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.